package airDrop

import (
	"github.com/gin-gonic/gin"
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
)

type VoiceVerifyRouter struct {
}

// InitVoiceVerifyRouter 初始化 VoiceVerify 路由信息
func (s *VoiceVerifyRouter) InitVoiceVerifyRouter(Router *gin.RouterGroup) {
	voiceVerifyRouter := Router.Group("voiceVerify").Use(middleware.OperationRecord())
	voiceVerifyRouterWithoutRecord := Router.Group("voiceVerify")
	var voiceVerifyApi = v1.ApiGroupApp.AirDropApiGroup.VoiceVerifyApi
	{
		voiceVerifyRouter.POST("createVoiceVerify", voiceVerifyApi.CreateVoiceVerify)   // 新建VoiceVerify
		voiceVerifyRouter.DELETE("deleteVoiceVerify", voiceVerifyApi.DeleteVoiceVerify) // 删除VoiceVerify
		voiceVerifyRouter.DELETE("deleteVoiceVerifyByIds", voiceVerifyApi.DeleteVoiceVerifyByIds) // 批量删除VoiceVerify
		voiceVerifyRouter.PUT("updateVoiceVerify", voiceVerifyApi.UpdateVoiceVerify)    // 更新VoiceVerify
	}
	{
		voiceVerifyRouterWithoutRecord.GET("findVoiceVerify", voiceVerifyApi.FindVoiceVerify)        // 根据ID获取VoiceVerify
		voiceVerifyRouterWithoutRecord.GET("getVoiceVerifyList", voiceVerifyApi.GetVoiceVerifyList)  // 获取VoiceVerify列表
	}
}
